<?php
/* Busqueda de registros de la tabla cr_llamada_cabecera redefinidos por el usuario. */
class Cr_llamada_cabeceraFN extends BaseCr_llamada_cabeceraFN
{
    public static function buscarCliente( $i_IdCliente )
    {
        $s_Sql = "SELECT IdCliente, Nombres, ApellidoPaterno, ApellidoMaterno, NombreCompleto, IdMercado, FechaModificacion, UsuarioModificacion, FechaCreacion, UsuarioCreacion, Sexo, EstadoCivil, FechaNacimiento, Estado, DniAval, garante, direcciongarante, ReferenciaGarante, telefonogarante, Telefono, Celular, IdTipoNegocio, FechaEliminado, Eliminado, Direccion, Dni, UsuarioEliminado, IdInteg, ReferenciaCliente 
                    FROM cr_cliente WHERE IdCliente='$i_IdCliente';";
        $o_Resource = self::getConnect();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        $i_Cnt = mysql_num_rows( $o_SQLResult );
        $a_Row = null;
        if( $i_Cnt > 0 )
        {
            $a_Row = mysql_fetch_array( $o_SQLResult, MYSQL_ASSOC );
            
        }
        return $a_Row;
    }
    
    public static function buscarPrestamo( $i_IdPrestamo )
    {
        $s_Sql = "SELECT * FROM cr_prestamo WHERE IdPrestamo='$i_IdPrestamo';";
        $o_Resource = self::getConnect();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        $i_Cnt = mysql_num_rows( $o_SQLResult );
        $a_Row = null;
        if( $i_Cnt > 0 )
        {
            $a_Row = mysql_fetch_array( $o_SQLResult, MYSQL_ASSOC );
            
        }
        return $a_Row;
    }
	
	public static function buscarCuotas( $i_IdPrestamos )
	{
		$s_Sql = "SELECT COUNT(*) CNT FROM cr_credito_cuota WHERE idcreditocrono='$i_IdPrestamos' AND diasmora>0 AND estado='P';";
		
        $o_Resource = self::getConnect();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        $i_Cnt = mysql_num_rows( $o_SQLResult );
        $i_NumCuotas = null;
        if( $i_Cnt > 0 )
        {
            $a_Row = mysql_fetch_array( $o_SQLResult, MYSQL_ASSOC );
            $i_NumCuotas = $a_Row['CNT'];
        }
        return $i_NumCuotas;
	}
	public static function buscarUltimaLlamada( $i_Cabecera, $i_TipoPrestamo )
	{
		$s_Sql = "SELECT MAX(FechaRegistro) CNT FROM cr_llamada_movimiento WHERE idCabecera='$i_Cabecera' AND TipoPrestamo='$i_TipoPrestamo';";
		
        $o_Resource = self::getConnect();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        $i_Cnt = mysql_num_rows( $o_SQLResult );
        $i_NumCuotas = null;
        if( $i_Cnt > 0 )
        {
            $a_Row = mysql_fetch_array( $o_SQLResult, MYSQL_ASSOC );
            $i_NumCuotas = $a_Row['CNT'];
        }
        return $i_NumCuotas;
	}
}
?>